authenticate-1.3.5.2: Authentication methods for Haskell web applications.

Safe Haskell | None
Language | Haskell2010

Web.Authenticate.OpenId

Contents

- Functions
- Types
  - Response

Synopsis

- getForwardUrl :: MonadIO m => Text -> Text -> Maybe Text -> [(Text, Text)] -> Manager -> m Text
- authenticate :: MonadIO m => [(Text, Text)] -> Manager -> m (Identifier, [(Text, Text)])
- authenticateClaimed :: MonadIO m => [(Text, Text)] -> Manager -> m OpenIdResponse
- data AuthenticateException
  - = RpxnowException String
  - | NormalizationException String
  - | DiscoveryException String
  - | AuthenticationException String
- newtype Identifier = Identifier {
  - identifier :: Text
  }
- data OpenIdResponse
- oirOpLocal :: OpenIdResponse -> Identifier
- oirParams :: OpenIdResponse -> [(Text, Text)]
- oirClaimed :: OpenIdResponse -> Maybe Identifier

# Functions

getForwardUrl Source #

Arguments

:: MonadIO m |
=> Text | The openid the user provided.
-> Text | The URL for this application's complete page.
-> Maybe Text | Optional realm
-> [(Text, Text)] | Additional parameters to send to the OpenID provider. These can be useful for using extensions.
-> Manager |
-> m Text | URL to send the user to.

authenticate :: MonadIO m => [(Text, Text)] -> Manager -> m (Identifier, [(Text, Text)]) Source #

Deprecated: Use authenticateClaimed

authenticateClaimed :: MonadIO m => [(Text, Text)] -> Manager -> m OpenIdResponse Source #

# Types

data AuthenticateException Source #

Constructors

RpxnowException String |
NormalizationException String |
DiscoveryException String |
AuthenticationException String |

#### Instances

Instances details

Exception AuthenticateException Source # |
Instance details Defined in Web.Authenticate.Internal Methods toException :: AuthenticateException -> SomeException Source # fromException :: SomeException -> Maybe AuthenticateException Source # displayException :: AuthenticateException -> String Source # backtraceDesired :: AuthenticateException -> Bool Source #
Show AuthenticateException Source # |
Instance details Defined in Web.Authenticate.Internal Methods showsPrec :: Int -> AuthenticateException -> ShowS Source # show :: AuthenticateException -> String Source # showList :: [AuthenticateException] -> ShowS Source #

newtype Identifier Source #

A valid OpenID identifier.

Constructors

Identifier |

Fields

- identifier :: Text

#### Instances

Instances details

Data Identifier Source # |

Instance details

Defined in OpenId2.Types

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Identifier -> c Identifier Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Identifier Source #

toConstr :: Identifier -> Constr Source #

dataTypeOf :: Identifier -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Identifier) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Identifier) Source #

gmapT :: (forall b. Data b => b -> b) -> Identifier -> Identifier Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Identifier -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Identifier -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Identifier -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Identifier -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Identifier -> m Identifier Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Identifier -> m Identifier Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Identifier -> m Identifier Source #

Read Identifier Source # |
Instance details Defined in OpenId2.Types Methods readsPrec :: Int -> ReadS Identifier Source # readList :: ReadS [Identifier] Source # readPrec :: ReadPrec Identifier Source # readListPrec :: ReadPrec [Identifier] Source #
Show Identifier Source # |
Instance details Defined in OpenId2.Types Methods showsPrec :: Int -> Identifier -> ShowS Source # show :: Identifier -> String Source # showList :: [Identifier] -> ShowS Source #
Eq Identifier Source # |
Instance details Defined in OpenId2.Types Methods (==) :: Identifier -> Identifier -> Bool Source # (/=) :: Identifier -> Identifier -> Bool Source #
Ord Identifier Source # |

Instance details

Defined in OpenId2.Types

Methods

compare :: Identifier -> Identifier -> Ordering Source #

(<) :: Identifier -> Identifier -> Bool Source #

(<=) :: Identifier -> Identifier -> Bool Source #

(>) :: Identifier -> Identifier -> Bool Source #

(>=) :: Identifier -> Identifier -> Bool Source #

max :: Identifier -> Identifier -> Identifier Source #

min :: Identifier -> Identifier -> Identifier Source #

## Response

data OpenIdResponse Source #

oirOpLocal :: OpenIdResponse -> Identifier Source #

oirParams :: OpenIdResponse -> [(Text, Text)] Source #

oirClaimed :: OpenIdResponse -> Maybe Identifier Source #